<?php

class onWebmanProfilesListFilter extends cmsAction {

    public function run($data){

        list($fields, $model_users) = $data;

        // --- Поле ссылки под заголовком виджета ------------------------------

        if ($this->options['users_no_locked']) {

            // Получаем трассировку
            $backtrace = debug_backtrace(DEBUG_BACKTRACE_IGNORE_ARGS);

            // Ищем в трассировке имя класса нужного виджета
            $found = false;

            foreach ($backtrace as $line) {

                if ($line['class'] == 'widgetUsersList') {

                    $found = true;

                    break;
                }

            }

            if ($found) {

                // Добавляем к модели пользователей фильтр, исключающий заблокированных пользователей
                $model_users->filterIsNull('is_locked');

            }

        }

        return [$fields, $model_users];

    }

}
